function RES=getNormVolatility(ARG)
% Функция построена согласно статьи
% Stanley E. etc "The statistical properties of the volatility of price uctuations"
% Построение матрицы v - нормализованной матрицы волатильности
% Вход  : ARG - матрица волатильности V
% Выход : RES - нормализованная матрица волатильности

[m,n]=size(ARG);
ARG2=ARG.*ARG;

for i=1:m
    AVGsquare=sum(ARG2(i,:))/n;
    squareAVG=sum(ARG(i,:))/n;
    squareAVG=squareAVG*squareAVG;
    DEVIATION=sqrt(AVGsquare-squareAVG);
    for j=1:n
        RES(i,j)=ARG(i,j)/DEVIATION;
    end
end